package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B9;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B9Mapper {

    /**
     * 查看所有
     * @return
     */
    List<B9> selectAll();

    public List<B9> selectListByInfo(B9 b9);
    int insertOne(B9 b9);

    int examineB9(B9 b9);

    int delB9(B9 b9);

    int weekdelB9(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);

    List<B9> selectB9ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B9> selectB9ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b9字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B9> list);
}
